# Uses of Class
org.mariadb.jdbc.export.ExceptionFactory

Packages that use ExceptionFactory
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.tls.main

## Uses of ExceptionFactory in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return ExceptionFactory
Modifier and Type
Method
Description
`protected ExceptionFactory`
Connection.`getExceptionFactory()`
Get connection exception factory
Constructors in org.mariadb.jdbc with parameters of type ExceptionFactory
Modifier
Constructor
Description
`protected`
`ParameterMetaData(ExceptionFactory exceptionFactory, org.mariadb.jdbc.client.ColumnDecoder[] params)`
Constructor
`protected`
`SimpleParameterMetaData(ExceptionFactory exceptionFactory, int paramCount)`
Constructor

## Uses of ExceptionFactory in org.mariadb.jdbc.export

Subclasses of ExceptionFactory in org.mariadb.jdbc.export
Modifier and Type
Class
Description
`class`
`ExceptionFactory.SqlExceptionFactory`
Exception with SQL command
Methods in org.mariadb.jdbc.export that return ExceptionFactory
Modifier and Type
Method
Description
`ExceptionFactory`
ExceptionFactory.`of(Statement statement)`
Construct an Exception factory from this + adding current statement
`ExceptionFactory`
ExceptionFactory.`setConnection(Connection connection)`
Set connection to factory
`ExceptionFactory`
ExceptionFactory.`setPoolConnection(MariaDbPoolConnection internalPoolConnection)`
Set pool connection to factory
`ExceptionFactory`
ExceptionFactory.`withSql(String sql)`
Construct an Exception factory from this + adding current SQL
Methods in org.mariadb.jdbc.export with parameters of type ExceptionFactory
Modifier and Type
Method
Description
`void`
ExceptionFactory.`setConnection(ExceptionFactory oldExceptionFactory)`
Set connection

## Uses of ExceptionFactory in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin with parameters of type ExceptionFactory
Modifier and Type
Method
Description
`SSLSocketFactory`
TlsSocketPlugin.`getSocketFactory(Configuration conf, ExceptionFactory exceptionFactory)`
Get socket factory.

## Uses of ExceptionFactory in org.mariadb.jdbc.plugin.tls.main

Methods in org.mariadb.jdbc.plugin.tls.main with parameters of type ExceptionFactory
Modifier and Type
Method
Description
`SSLSocketFactory`
DefaultTlsSocketPlugin.`getSocketFactory(Configuration conf, ExceptionFactory exceptionFactory)`